package com.rockymadden.jbrainhoney.dlap;

/** An unchecked exception thrown by the BrainHoney DLAP API. The user does not hold privileges for the operation. */
public final class AccessDeniedException extends ResponseCodeException {
	private static final long serialVersionUID = 5309048444273L;

	public AccessDeniedException() {
		super();
	}

	public AccessDeniedException(final String message) {
		super(message);
	}

	public AccessDeniedException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public AccessDeniedException(final Throwable cause) {
		super(cause);
	}
}
