package com.rockymadden.jbrainhoney.dlap;

/** An invalid operation based ResponseCodeException. The operation (e.g. command) issued is invalid. */
public final class InvalidOperationException extends ResponseCodeException {
	private static final long serialVersionUID = 57850477050943L;

	public InvalidOperationException() {
		super();
	}

	public InvalidOperationException(final String message) {
		super(message);
	}

	public InvalidOperationException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public InvalidOperationException(final Throwable cause) {
		super(cause);
	}
}
