package com.rockymadden.jbrainhoney.dlap.command;

import com.rockymadden.jbrainhoney.dlap.DlapException;

/** A command based DlapException. */
public class CommandException extends DlapException {
	private static final long serialVersionUID = 2135375644583057L;

	public CommandException() {
		super();
	}

	public CommandException(final String message) {
		super(message);
	}

	public CommandException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public CommandException(final Throwable cause) {
		super(cause);
	}
}
