package com.rockymadden.jbrainhoney.dlap.command;

import com.rockymadden.jbrainhoney.dlap.element.User;

/** An implementation of a CommandObserver for classes implementing the ObservableSessionCommand interface. */
public final class SessionObserver implements CommandObserver<SessionEvent> {
	private User user;

	public SessionObserver() {

	}

	@Override
	public SessionObserver notify(final SessionEvent event) {
		user = event.getUser();

		return this;
	}

	public User getUser() {
		return user;
	}
}