package com.rockymadden.jbrainhoney.network;

import java.io.Closeable;

/** Defines the interface of a network client. */
public interface Client extends Closeable {
	@Override
	public abstract void close() throws NetworkException;

	/** Defines the interface of a Client builder. */
	public static interface Builder {
		public abstract Client build();
	}
}