package com.rockymadden.jbrainhoney.network;

import com.rockymadden.jbrainhoney.BrainHoneyException;

/** A network based Exception. */
public class NetworkException extends BrainHoneyException {
	private static final long serialVersionUID = -451876847113213302L;

	public NetworkException() {
		super();
	}

	public NetworkException(final String message) {
		super(message);
	}

	public NetworkException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public NetworkException(final Throwable cause) {
		super(cause);
	}
}
