package com.rockymadden.jbrainhoney.network.http;

import com.rockymadden.jbrainhoney.network.NetworkException;

/** A HTTP based NetworkException. */
public class HttpException extends NetworkException {
	private static final long serialVersionUID = -7785983054221L;

	public HttpException() {
		super();
	}

	public HttpException(final String message) {
		super(message);
	}

	public HttpException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public HttpException(final Throwable cause) {
		super(cause);
	}
}
