package com.rockymadden.jbrainhoney.time;

import com.rockymadden.jbrainhoney.BrainHoneyException;

/** A time based Exception. */
public class TimeException extends BrainHoneyException {
	private static final long serialVersionUID = 88564379215301L;

	public TimeException() {
		super();
	}

	public TimeException(final String message) {
		super(message);
	}

	public TimeException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public TimeException(final Throwable cause) {
		super(cause);
	}
}
