package com.rockymadden.jbrainhoney.webservice;

import com.rockymadden.jbrainhoney.BrainHoneyException;

/** A web service based Exception. */
public class WebServiceException extends BrainHoneyException {
	private static final long serialVersionUID = 88564379215301L;

	public WebServiceException() {
		super();
	}

	public WebServiceException(final String message) {
		super(message);
	}

	public WebServiceException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public WebServiceException(final Throwable cause) {
		super(cause);
	}
}
