package com.rockymadden.jbrainhoney.cryptography;

import com.rockymadden.jbrainhoney.BrainHoneyException;

/** A cryptography based Exception. */
public class CryptographyException extends BrainHoneyException {
	private static final long serialVersionUID = -118647674563L;

	public CryptographyException() {
		super();
	}

	public CryptographyException(final String message) {
		super(message);
	}

	public CryptographyException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public CryptographyException(final Throwable cause) {
		super(cause);
	}
}
