package com.rockymadden.jbrainhoney.dlap;

/** A HTTP server based ResponseCodeException. The request could not be handled by the HTTP server. */
public final class HttpServerException extends ResponseCodeException {
	private static final long serialVersionUID = 11390400445679L;

	public HttpServerException() {
		super();
	}

	public HttpServerException(final String message) {
		super(message);
	}

	public HttpServerException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public HttpServerException(final Throwable cause) {
		super(cause);
	}
}