package com.rockymadden.jbrainhoney.dlap;

/** An invalid argument based ResponseCodeException. The arguments in the query string or post data are incorrect. */
public final class InvalidArgumentException extends ResponseCodeException {
	private static final long serialVersionUID = 428504770562241L;

	public InvalidArgumentException(){
		super();
	}

	public InvalidArgumentException(final String message) {
		super(message);
	}

	public InvalidArgumentException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public InvalidArgumentException(final Throwable cause) {
		super(cause);
	}
}