package com.rockymadden.jbrainhoney.dlap;

/** An unchecked exception thrown by the BrainHoney DLAP API. The database experienced an issue handling the request. */
public final class SqlException extends ResponseCodeException {
	private static final long serialVersionUID = 4109045854466L;

	public SqlException() {
		super();
	}

	public SqlException(final String message) {
		super(message);
	}

	public SqlException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public SqlException(final Throwable cause) {
		super(cause);
	}
}