package com.rockymadden.jbrainhoney.dlap.command;

/** Defines the interface of a CommandObserver manager. */
public abstract interface CommandObserverManager<O extends CommandObserver<E>, E extends CommandEvent> {
	public abstract boolean addObserver(final O observer);

	public abstract boolean removeObserver(final O observer);

	public abstract boolean hasObserver(final O observer);

	public abstract CommandObserverManager<O, E> notifyObservers(final E event);
}