package com.rockymadden.jbrainhoney.dlap.command;

import com.rockymadden.jbrainhoney.dlap.element.User;

/** An implementation of a CommandEvent for classes implementing the ObservableSessionCommand interface. */
public final class SessionEvent implements CommandEvent {
	private final User user;

	public SessionEvent(final User user) {
		this.user = user;
	}

	public User getUser() {
		return user;
	}
}