package com.rockymadden.jbrainhoney.dlap.element;

/** Defines the interface of any class which represents an XML based Element. */
public abstract interface XmlElement extends Element {
	public abstract nu.xom.Element toXmlElement();

	public abstract String toXmlString();

	/** Defines the interface of an XmlElement builder. */
	public abstract static interface Builder {
		public abstract XmlElement build();
	}
}