package com.rockymadden.jbrainhoney.dlap.enumeration;

import com.rockymadden.jbrainhoney.dlap.DlapException;

/** A enumeration based DlapException. */
public class EnumerationException extends DlapException {
	private static final long serialVersionUID = 86432074452167903L;

	public EnumerationException() {
		super();
	}

	public EnumerationException(final String message) {
		super(message);
	}

	public EnumerationException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public EnumerationException(final Throwable cause) {
		super(cause);
	}
}
