package com.rockymadden.jbrainhoney.dlap.validate;

import com.rockymadden.jbrainhoney.dlap.DlapException;

/** A validation based DlapException. */
public class ValidationException extends DlapException {
	private static final long serialVersionUID = 34528976203075L;

	public ValidationException() {
		super();
	}

	public ValidationException(final String message) {
		super(message);
	}

	public ValidationException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public ValidationException(final Throwable cause) {
		super(cause);
	}
}
