package com.rockymadden.jbrainhoney.network.http.request;

import com.rockymadden.jbrainhoney.network.http.HttpException;

/** A request based HttpException. */
public class RequestException extends HttpException {
	private static final long serialVersionUID = 98637564645215557L;

	public RequestException() {
		super();
	}

	public RequestException(final String message) {
		super(message);
	}

	public RequestException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public RequestException(final Throwable cause) {
		super(cause);
	}
}
